DevToolPal
繁

電子郵件地址格式檢查

檢查一個或多個電子郵件地址的格式,找出常見的網域拼字錯誤並移除重複。只檢查格式,不查詢信箱是否存在。

本機處理,不會上傳

選項

顯示

電子郵件地址(每行一個)

0 字元 · 0 B

格式檢查

結果會顯示在這裡

功能簡介

這個工具會檢查電子郵件地址的寫法是否正確。貼上一個地址或整份清單,每個地址都會標示為有效或無效,並說明原因,例如缺少 @、連續兩個點、網域沒有點號,或含有不允許的字元。在匯入前清理郵寄名單、核對表單的輸入規則,或在 CSV 匯出檔中找出那一列壞掉的資料時都很好用。

它只檢查格式。 工具不會連線到任何郵件伺服器,所以無法判斷信箱是否存在或能否收信。

使用方法

  1. 把地址貼到輸入框,每行一個。逗號和分號也能當作分隔符號,所以可以直接貼上收件者(To:)那一行。
  2. 結果會隨著輸入即時顯示,並彙總有效與無效地址的數量。
  3. 用 顯示 切換列出全部、只看有效或只看無效的地址。移除重複 會刪掉重複的地址;比對網域時不分大小寫。
  4. 按 複製有效地址 複製整理好的清單,每行一個地址。

也能處理顯示名稱:Bob Smith <bob@example.com> 會以 bob@example.com 檢查,並註明名稱已被移除。

檢查項目

  • 只有一個 @(引號內的不算),而且兩邊都有內容。
  • 整個地址最多 254 個字元,@ 前面的部分最多 64 個字元。
  • 使用者名稱部分只用允許的字元,不能以點號開頭或結尾,也不能連續兩個點。像 "john doe"@example.org 這種帶引號的寫法可以接受,但會附上警告。
  • 網域至少有兩段,每段由 1–63 個字母、數字和連字號組成,不能以連字號開頭或結尾,而且要有看起來真實的頂層網域。admin@[192.168.0.1] 這類 IP 寫法可以接受,但會附上警告。
  • 熱門網域的常見拼錯,例如 gmial.com 或 qq.con,會得到「您是不是要輸入」的建議。

範例

alice@example.com        valid
lisi@gmial.com           valid, did you mean lisi@gmail.com?
two@@example.com         invalid: more than one @
user@localhost           invalid: domain needs a dot
用户@例子.中国            valid, internationalized address

常見問題

› 這會檢查信箱是否真的存在嗎?

不會。這只是格式檢查,不會查詢網域的郵件伺服器,也不會與它們連線,所以在這裡通過的地址仍然可能退信。確認信箱存在需要伺服器參與,唯一可靠的方法是寄出一封確認信。

› 地址會被上傳嗎?

不會。所有檢查都在你的瀏覽器中執行,你的郵寄名單絕不會離開你的裝置。

› 依據哪些規則檢查?

依據 RFC 5321 和 RFC 5322 的地址語法,以及 RFC 6531 的國際化地址。地址中夾帶註解之類的過時寫法會被判為無效,因為幾乎沒有郵件系統接受它們。

› 為什麼有效的地址也會標示警告?

有些地址合法但有風險:可能的拼字錯誤(例如 gmial.com)、用 IP 位址取代網域、帶引號的使用者名稱,或部分伺服器會拒收的非 ASCII 字元。這些地址仍算作有效。